# $Revision: 1.29 $, $Date: 2006/10/28 07:56:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
Summary:	POE - multitasking and networking framework for Perl
Summary(pl):	POE - wielozadaniowe i sieciowe rodowisko dla Perla
Name:		perl-POE
Version:	0.38
Release:	2
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	5612affcb018cdda9807b6a0ea4db152
Patch0:		%{name}-no_network_tests_by_default.patch
URL:		http://poe.perl.org/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Test-Simple >= 0.54
%if %{with tests}
BuildRequires:	perl(Filter::Util::Call) >= 1.04
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Curses
BuildRequires:	perl-Event
BuildRequires:	perl-IO-Tty
BuildRequires:	perl-Socket6 >= 0.14
BuildRequires:	perl-Storable >= 2.12
BuildRequires:	perl-Term-ReadKey >= 2.21
BuildRequires:	perl-Time-HiRes >= 1.59
BuildRequires:	perl-URI >= 1.30
BuildRequires:	perl-libwww
%endif
Conflicts:	perl-POE-Filter-XML < 0.29
Obsoletes:	perl-POE-Exceptions
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_noautoreq	perl(Curses) perl(HTTP::Date) perl(HTTP::Request) perl(HTTP::Response) perl(HTTP::Status) perl(URI) perl(Term::Cap) perl(Term::ReadKey)

%description
POE is an acronym of "Perl Object Environment".  It's a networking
and multitasking (some say cooperative threading) framework for Perl.
It has been in active development since 1996, with its first open
release in 1998.  O'Reilly's Perl Conference (now OSCON) named POE
"Best New Module" in 1999.

POE has been used in mission-critical systems such as internetworked
financial markets, file systems, commerce and application servers.
It has been used in projects ranging from a few lines of code to tens
of thousands.

POE is compatible with perl versions as old as 5.005_03.

POE includes an evolving component framework.  Components are high-level,
modular, reusable pieces of programs.  Several components have been
published on the CPAN, and more are listed on POE's web site.

POE includes components and libraries for making quick work of network
clients, servers, and peers.  A simple stand-alone web application takes
about 30 lines of code, most of which is your own custom logic.

%description -l pl
POE to skrt od "Perl Object Environment" (co oznacza "rodowisko
obiektowe Perla"). Jest to szkielet obsugi sieci i wielozadaniowoci
(nazywanej przez niektrych "kooperatywnym wtkowaniem") dla Perla.
Jest aktywnie rozwijane od 1996 roku, a pierwsze publiczne wydanie
byo w 1998 roku. Na O'Reilly's Perl Conference (teraz OSCON) w 1999
roku POE zostao nazwane "Najlepszym nowym moduem".

POE jest uywane w systemach mission-critical, takich jak
midzysieciowe rynki finansowe, systemy plikw, serwery aplikacji i
handlowe. Jest uywane w projektach o rozmiarach od kilku linii do
dziesitek tysicy.

POE jest kompatybilne z Perlem od wersji 5.005_03.

POE zawiera rozwijajcy si szkielet komponentw. Komponenty to
wysokopoziomowe, modularne, dajce si wielokrotnie wykorzystywa
kawaki programw. Cz komponentw zostaa opublikowana w CPAN,
wicej mona znale na stronie WWW POE.

POE zawiera komponenty i biblioteki do szybkiego tworzenia klientw,
serwerw i partnerw sieciowych. Prosta, samodzielna aplikacja WWW
zajmuje okoo 30 linii kodu, z ktrych wikszo to waciwa logika.

%prep
%setup -q -n %{pdir}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--default
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/POE/{Component/CD,Session}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES HISTORY README TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/POE
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/README*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.perl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE.spec,v $
Revision 1.29  2006/10/28 07:56:46  ankry
- disable more notwork tests, rel. 2

Revision 1.28  2006/10/27 21:32:28  ankry
- added patch, fixed examples, builds: rel. 1

Revision 1.27  2006/10/26 00:20:43  ankry
- O: perl-POE-Exceptions

Revision 1.26  2006/10/26 00:01:45  ankry
- 0.38

Revision 1.25  2006/08/20 12:01:54  qboosh
- Epoch 2 (0.36 < 0.3502)

Revision 1.24  2006/08/09 13:45:24  agaran
- up to 0.36, rel 0.1 (new fresh from cpan)

Revision 1.23  2006/07/11 21:09:37  agaran
- older module require older POE. so conflict, if anybody has better idea, fix it

Revision 1.22  2006/07/11 21:07:43  agaran
- up to 0.3502, rel 0.2 builds here,

Revision 1.21  2005/12/05 23:07:12  czucz
- updated to 0.3202

Revision 1.20  2005/01/07 12:19:00  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.19  2005/01/03 17:03:24  adamg
- updated to 0.3007

Revision 1.18  2004/12/03 13:02:13  radek
- version 0.3003

Revision 1.17  2004/11/03 22:30:39  paladine
- formatting

Revision 1.16  2004/06/04 22:00:55  adamg
- updated to 0.29 ; epoch 1

Revision 1.15  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.14  2004/06/02 01:32:45  ankry
- add %{perl_vendorlib}/POE/Session dir for POE::Session::* modules

Revision 1.13  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.12  2004/05/06 18:20:54  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.10  2004/04/11 07:47:29  agaran
 - update to 0.2802

Revision 1.9  2003/10/17 19:12:39  qboosh
- moved dir creation to proper place

Revision 1.8  2003/10/17 16:06:22  radek
- included samples and POE.pm

Revision 1.7  2003/10/01 22:50:43  adamg
- updated to 0.27

Revision 1.6  2003/09/14 19:17:04  migo
- :-)

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
